# $Revision: 1.33 $, $Date: 2006/12/20 10:18:47 $
Summary:	Kexi - an integrated environment for managing data
Summary(pl):	Kexi - zintegrowane rodowisko do zarzdzania danymi
Name:		kexi
Version:	0.9
Release:	7
License:	GPL v2
Group:		Applications/Databases
Source0:	ftp://ftp.kde.org/pub/kde/stable/apps/KDE3.x/database/%{name}-%{version}.tar.bz2
# Source0-md5:	c599372caca7a4c8976a4c0258145035
URL:		http://www.kexi-project.org/
BuildRequires:	automake
BuildRequires:	kdelibs-devel
BuildRequires:	libpqxx-devel
BuildRequires:	mysql-devel
BuildRequires:	unsermake
Provides:	koffice-kexi
Obsoletes:	koffice-kexi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kexi is an integrated environment for managing data. It helps creating
database schemas, inserting, querying and processing data.

%description -l pl
Kexi to zintegrowane rodowisko do zarzdzania danymi. Pomaga przy
tworzeniu schematw baz danych oraz wstawianiu, odpytywaniu i
przetwarzaniu danych.

%package backend-mysql
Summary:	mySQL backend for Kexi
Summary(pl):	Backend mySQL dla Kexi
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}

%description backend-mysql
This package allows Kexi to access mySQL servers.

%description backend-mysql -l pl
Ten pakiet pozwala na czenie si Kexi z serwerem mySQL.

%package backend-pgsql
Summary:	PostgreSQL backend for Kexi
Summary(pl):	Backend PostgreSQL dla Kexi
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}

%description backend-pgsql
This package allows Kexi to access PosgtresSQL servers.

%description backend-pgsql -l pl
Ten pakiet pozwala na czenie si Kexi z serwerem PostgreSQL.

%package devel
Summary:	Developement files for Kexi
Summary(pl):	Pliki nagwkowe dla Kexi
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Requires:	kdelibs-devel

%description devel
This package contains the development header files for applications
using Kexi.

%description devel -l pl
Pakiet ten zawiera pliki nagwkowe dla aplikacji korzystajcych
z Kexi.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub admin
export UNSERMAKE=/usr/share/unsermake/unsermake

%configure \
	--with-qt-libraries=%{_libdir} \
	--with-pgsqllibdir=%{_libdir} \
	--with-pqxxlibdir=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

install -d $RPM_BUILD_ROOT%{_desktopdir}
mv $RPM_BUILD_ROOT%{_datadir}{/applnk/Utilities/kformdesigner.desktop,/applications/kde/kexi.desktop} \
	$RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES AUTHORS README
%attr(755,root,root) %{_bindir}/*
%{_libdir}/libkdeinit_kexi.la
%attr(755,root,root) %{_libdir}/libkdeinit_kexi.so
%{_libdir}/libkexicore.la
%attr(755,root,root) %{_libdir}/libkexicore.so.*.*.*
%{_libdir}/libkexidatatable.la
%attr(755,root,root) %{_libdir}/libkexidatatable.so.*.*.*
%{_libdir}/libkexidb.la
%attr(755,root,root) %{_libdir}/libkexidb.so.*.*.*
%{_libdir}/libkexidbparser.la
%attr(755,root,root) %{_libdir}/libkexidbparser.so.*.*.*
%{_libdir}/libkexiextendedwidgets.la
%attr(755,root,root) %{_libdir}/libkexiextendedwidgets.so.*.*.*
%{_libdir}/libkexiformutils.la
%attr(755,root,root) %{_libdir}/libkexiformutils.so.*.*.*
%{_libdir}/libkexiguiutils.la
%attr(755,root,root) %{_libdir}/libkexiguiutils.so.*.*.*
%{_libdir}/libkeximain.la
%attr(755,root,root) %{_libdir}/libkeximain.so.*.*.*
%{_libdir}/libkeximigrate.la
%attr(755,root,root) %{_libdir}/libkeximigrate.so.*.*.*
%{_libdir}/libkexipropertyeditor.la
%attr(755,root,root) %{_libdir}/libkexipropertyeditor.so.*.*.*
%{_libdir}/libkexirelationsview.la
%attr(755,root,root) %{_libdir}/libkexirelationsview.so.*.*.*
%{_libdir}/libkexisql2.la
%attr(755,root,root) %{_libdir}/libkexisql2.so.*.*.*
%{_libdir}/libkexisql3.la
%attr(755,root,root) %{_libdir}/libkexisql3.so.*.*.*
%{_libdir}/libkformdesigner.la
%attr(755,root,root) %{_libdir}/libkformdesigner.so.*.*.*
%{_libdir}/kde3/containers.la
%attr(755,root,root) %{_libdir}/kde3/containers.so
%{_libdir}/kde3/kexi.la
%attr(755,root,root) %{_libdir}/kde3/kexi.so
%{_libdir}/kde3/kexidb_sqlite2driver.la
%attr(755,root,root) %{_libdir}/kde3/kexidb_sqlite2driver.so
%{_libdir}/kde3/kexidb_sqlite3driver.la
%attr(755,root,root) %{_libdir}/kde3/kexidb_sqlite3driver.so
%{_libdir}/kde3/kexidbwidgets.la
%attr(755,root,root) %{_libdir}/kde3/kexidbwidgets.so
%{_libdir}/kde3/libkformdesigner_part.la
%attr(755,root,root) %{_libdir}/kde3/libkformdesigner_part.so
%{_libdir}/kde3/kexihandler_form.la
%attr(755,root,root) %{_libdir}/kde3/kexihandler_form.so
%{_libdir}/kde3/kexihandler_script.la
%attr(755,root,root) %{_libdir}/kde3/kexihandler_script.so
%{_libdir}/kde3/kexihandler_migration.la
%attr(755,root,root) %{_libdir}/kde3/kexihandler_migration.so
%{_libdir}/kde3/kexihandler_query.la
%attr(755,root,root) %{_libdir}/kde3/kexihandler_query.so
%{_libdir}/kde3/kexihandler_relation.la
%attr(755,root,root) %{_libdir}/kde3/kexihandler_relation.so
%{_libdir}/kde3/kexihandler_table.la
%attr(755,root,root) %{_libdir}/kde3/kexihandler_table.so
%{_libdir}/kde3/stdwidgets.la
%attr(755,root,root) %{_libdir}/kde3/stdwidgets.so
%dir %{_datadir}/apps/kexi
%dir %{_datadir}/apps/kexi/icons
%{_datadir}/apps/kexi/icons/crystalsvg
%{_datadir}/apps/kexi/pics
%{_datadir}/apps/kexi/*.rc
%{_datadir}/apps/kexi/readme_en
%{_datadir}/apps/kformdesigner
%{_datadir}/apps/kformdesigner_part
%{_desktopdir}/kexi.desktop
%{_desktopdir}/kformdesigner.desktop
%{_datadir}/config/kexirc
%{_datadir}/config/magic/kexi.magic
%{_iconsdir}/crystalsvg/*/apps/kexi.png
%{_iconsdir}/crystalsvg/32x32/mimetypes/kexiproject_shortcut.png
%{_iconsdir}/crystalsvg/*/mimetypes/kexiproject_sqlite.png
%{_iconsdir}/crystalsvg/*/mimetypes/kexiproject_sqlite2.png
%{_iconsdir}/crystalsvg/scalable/apps/kexi.svgz
%{_datadir}/mimelnk/application/x-kexiproject-shortcut.desktop
%{_datadir}/mimelnk/application/x-kexiproject-sqlite.desktop
%{_datadir}/mimelnk/application/x-kexiproject-sqlite2.desktop
%{_datadir}/mimelnk/application/x-kexiproject-sqlite3.desktop
%{_datadir}/services/kexi
%{_datadir}/services/kexidb_sqlite2driver.desktop
%{_datadir}/services/kexidb_sqlite3driver.desktop
%{_datadir}/services/kformdesigner_part.desktop
%{_datadir}/services/kformdesigner
%{_datadir}/servicetypes/*.desktop

%files backend-mysql
%defattr(644,root,root,755)
%{_libdir}/kde3/kexidb_mysqldriver.la
%attr(755,root,root) %{_libdir}/kde3/kexidb_mysqldriver.so
%{_libdir}/kde3/keximigrate_mysql.la
%attr(755,root,root) %{_libdir}/kde3/keximigrate_mysql.so
%{_datadir}/services/kexidb_mysqldriver.desktop
%{_datadir}/services/keximigrate_mysql.desktop

%files backend-pgsql
%defattr(644,root,root,755)
%{_libdir}/kde3/kexidb_pqxxsqldriver.la
%attr(755,root,root) %{_libdir}/kde3/kexidb_pqxxsqldriver.so
%{_libdir}/kde3/keximigrate_pqxx.la
%attr(755,root,root) %{_libdir}/kde3/keximigrate_pqxx.so
%{_datadir}/services/kexidb_pqxxsqldriver.desktop
%{_datadir}/services/keximigrate_pqxx.desktop

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkexicore.so
%attr(755,root,root) %{_libdir}/libkexidatatable.so
%attr(755,root,root) %{_libdir}/libkexidb.so
%attr(755,root,root) %{_libdir}/libkexidbparser.so
%attr(755,root,root) %{_libdir}/libkexiextendedwidgets.so
%attr(755,root,root) %{_libdir}/libkexiformutils.so
%attr(755,root,root) %{_libdir}/libkexiguiutils.so
%attr(755,root,root) %{_libdir}/libkeximain.so
%attr(755,root,root) %{_libdir}/libkeximigrate.so
%attr(755,root,root) %{_libdir}/libkexipropertyeditor.so
%attr(755,root,root) %{_libdir}/libkexirelationsview.so
%attr(755,root,root) %{_libdir}/libkexisql2.so
%attr(755,root,root) %{_libdir}/libkexisql3.so
%attr(755,root,root) %{_libdir}/libkformdesigner.so
%dir %{_includedir}/kexidb
%{_includedir}/kexidb/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kexi.spec,v $
Revision 1.33  2006/12/20 10:18:47  hawk
- release 7 to rebuild with PostgreSQL 8.2

Revision 1.32  2006/03/27 12:41:43  glen
- rel 6 (libmysqlclient_15)

Revision 1.31  2005/10/27 17:43:02  arekm
- rel 5

Revision 1.30  2005/10/05 17:53:29  qboosh
- moved .so symlinks to -devel, -devel R: kdelibs-devel
- cleanups

Revision 1.29  2005/09/19 17:18:01  wolvverine
- add symlinks libkexi*.so.* to libkexi*.so

Revision 1.28  2005/09/17 11:44:34  arekm
- new readline 5.0

Revision 1.27  2005/09/12 11:08:05  deejay1
- added missing Provides, sorry for any incovenience

Revision 1.26  2005/09/12 10:37:15  deejay1
- added Obsoletes: koffice-kexi; rel. up to 2

Revision 1.25  2005/07/05 05:02:36  charles
- rm duplicated dir (belongs to kdelibs)

Revision 1.24  2005/06/04 18:54:18  deejay1
- updated to 0.9, codenamed shorthorn

Revision 1.23  2005/05/09 09:05:53  deejay1
- updated to 0.9beta1

Revision 1.22  2005/04/05 07:39:12  ankry
- tabs

Revision 1.21  2005/04/04 19:45:34  qboosh
- tab

Revision 1.20  2005/04/04 18:57:22  deejay1
- updated to todays snap, getting ready for official package Some Time Soon

Revision 1.19  2005/04/03 19:11:10  qboosh
- moved keximigrate_pqxxmigrate module to -backend-pgsql
- place services .desktop files in subpackages together with modules
- release .8

Revision 1.18  2005/04/03 18:43:04  havner
- rel 7

Revision 1.17  2005/03/30 17:20:16  saq
- missing defattr

Revision 1.16  2005/02/12 22:46:25  arekm
rel ++

Revision 1.15  2004/12/20 09:54:09  deejay1
- bye bye translations (removed in favor of kexi-i18n)

Revision 1.14  2004/12/09 10:02:04  deejay1
- added locales, rel. up to snap.4

Revision 1.13  2004/12/08 23:58:42  ankry
- more icons

Revision 1.12  2004/12/08 23:28:55  deejay1
- replaced configure option - typo in every documentation

Revision 1.11  2004/12/08 22:46:42  deejay1
- workaround configure bug

Revision 1.10  2004/12/08 21:19:39  deejay1
- proper sorting

Revision 1.9  2004/12/08 20:49:10  deejay1
- seperated mysql and pgsql drivers
- got rid of old and now unused BR's
- rel up to snap.2

Revision 1.8  2004/12/08 17:40:05  deejay1
- removed duplicate summary
- replaced official package with cvs snap - it works now

Revision 1.7  2004/12/07 23:26:40  deejay1
- added missing %files, changed install section, builds

Revision 1.6  2004/12/02 04:18:48  domelu
- up to beta5, NFY

Revision 1.5  2004/07/05 19:04:37  qboosh
- pl, BR: automake,unsermake

Revision 1.4  2004/07/05 19:00:54  pluto
- %%post(un) added.

Revision 1.3  2004/07/05 18:53:23  pluto
- %%files done (I hope).

Revision 1.2  2004/07/05 18:36:28  pluto
- %%files, nfy...

Revision 1.1  2004/07/05 12:53:23  pluto
- initial release, NFY...
